Bug 123277 - 3c940 network card not supported.
3c940 network card not supported.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Burke
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-05-15 11:46 EDT by Terje Kvernes
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-09 22:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Terje Kvernes 2004-05-15 11:46:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Galeon/1.3.11a

Description of problem:
the 3c940 cards are supported through newer versions of the sk98lin,
and are becoming a standard card to be found in a lot of workstations
today.      both the kernel used for network installations and the
default kernel should support this card to help deployment of RHEL WS

Version-Release number of selected component (if applicable):
all kernels for RHEL WS.

How reproducible:

Steps to Reproduce:
1. modprobing sk98lin will give a "no such device" error.

Additional info:
Comment 2 Suzanne Hillman 2004-05-24 14:53:07 EDT
Internal RFE bug #124210 entered; will be considered for future releases.
Comment 3 Tim Burke 2004-06-09 22:21:52 EDT
As you can imagine, we have finite development/testing/support
resources and are not able to support the full universe of drivers. 
We have to prioritize our work areas based on corresponding broad
customer benefit.  In the case of this driver, we frankly haven't seen
enough interest yet to warrant focusing work on the driver updates.

Our development pool for the upcoming major release (ie RHEL4) does
have a more contemporary version of the driver.  You may wish to keep
your eyes open for the upcoming announcement of beta availability and
verify that things are operational there.
Comment 4 Tuomo Soini 2004-10-15 04:35:39 EDT
Marvell Yukon Gigabit ethernet chip seems to be on several modern
motherboards. Driver upgrade is really needed and driver should be
changed from unsupported to stable kernel.

With quick search I found Marvell Gigabit ethernet on several new
motherboard products from ASUS, MSI, and Epox.
Comment 5 Greg Baker 2005-02-10 18:37:35 EST
Ditto on the Yukon Gigabit ethernet chip on several motherboards.

No love trying to install RHEL3 on a Shuttle box (SN95G5 Athlon64). 
We're considering this platform to be the next desktop standard for
our company, but having trouble with our RHEL3 image working on it.  

Please consider updating driver for RHEL3.


Note You need to log in before you can comment on or make changes to this bug.